Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.resourcedisplay
Class ResourceDisplayPluginManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.resourcedisplay.ResourceDisplayPluginManager

    public class ResourceDisplayPluginManager

extends Object

The manager of all InstanceDisplayPlugins.

Author:
  Holger Knublauch

Constructor Summary
`ResourceDisplayPluginManager()`

Method Summary
`static void` | `addInstanceDisplayPluginClass(Class clazz)` A work-around method for InstanceDisplayPlugins from outside the OWL Plugin.
`static ResourceDisplayPlugin` | `getInstanceDisplayPlugin(Class clazz)`
`static Class[]` | `getInstanceDisplayPluginClasses()`
`static void` | `initInstanceDisplay(RDFResource frame, JPanel hostPanel)` Calls the corresponding method in all currently installed InstanceDisplayPlugins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDisplayPluginManager

    public ResourceDisplayPluginManager()

Method Detail

### addInstanceDisplayPluginClass

    public static void addInstanceDisplayPluginClass(Class clazz)

  A work-around method for InstanceDisplayPlugins from outside the OWL Plugin. Since due to a bug in the Java virtual machine these Classes can not be found through their manifest, they need to be added manually, preferably through a ProjectPlugin.

  Parameters:
    `clazz` - the Class of a ResourceDisplayPlugin to add

### getInstanceDisplayPlugin

    public static ResourceDisplayPlugin getInstanceDisplayPlugin(Class clazz)

### getInstanceDisplayPluginClasses

    public static Class[] getInstanceDisplayPluginClasses()

### initInstanceDisplay

    public static void initInstanceDisplay(RDFResource frame,
                                           JPanel hostPanel)

  Calls the corresponding method in all currently installed InstanceDisplayPlugins.

  Parameters:
    `frame` - the currently selected Frame
    `hostPanel` - the JPanel to add stuff into (if requested by the plugins)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.